import dynamix_sdk.base as _base


class CloudapiVinsRestoreResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsRestoreProtocol(_base.BasePostAPIFunctionProtocol):
    def restore(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsRestoreResultBool:
        ...
